package com.redhat.thermostat.tools.eclipse.plugin.tests.editor;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.eclipse.core.databinding.validation.IValidator;
import org.eclipse.core.runtime.IStatus;
import org.junit.Test;

import com.redhat.thermostat.tools.eclipse.plugin.editor.Validators;

public class ValidatorsTest {

    @Test
    public void testNonEmptyStringRequiredFailsOnEmptyString() {
        IValidator validator = new Validators.NonEmptyStringRequired("");
        IStatus result = validator.validate("");
        assertFalse(result.isOK());
    }

    @Test
    public void testNonEmptyStringRequiredPassesOnNonEmptyString() {
        IValidator validator = new Validators.NonEmptyStringRequired("");
        IStatus result = validator.validate("foo");
        assertTrue(result.isOK());
    }
}
